
Infrastructure - Task #4189

Story # 4188 (In Progress): dataone Exception definition and implementation requires clarification

Update dataoneErrors.xsd to match the documentation

2013-11-27 21:37 - Dave Vieglais

Status: In Progress Start date: 2013-11-27

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 30%

Category: d1_schemas Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version: *   

Description

https://repository.dataone.org/software/cicore/tags/D1_SCHEMA_1_1_1/dataoneErrors.xsd

does not match the documentation (nodeId property)

Determine if this is a 1.1.2 update to the schema (and so not impacting namespace), and if so, update the schema, create a new tag,

and update references to the current schema.

History

#1 - 2013-12-03 15:21 - Dave Vieglais

- Status changed from New to In Progress

Updating schema in svn trunk to match functionality in the documentation.

#2 - 2014-01-06 18:47 - Dave Vieglais

- Target version changed from 2013.49-Block.6.3 to 2014.2-Block.1.1

#3 - 2014-03-14 21:00 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.14-Block.2.3

#4 - 2014-09-24 18:28 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to Maintenance Backlog

#5 - 2017-01-14 00:24 - Rob Nahf

- % Done changed from 0 to 30

It looks like this went the other way around:  The documentation still has 'pid' as the field for the pid in the html table (and identifier in the xml display),

yet starting in v2 of the schemas, the field has been changed to 'identifier'.

We'll still need to resolve which to use (pid or identifier), then update accordingly.

#6 - 2017-01-14 00:24 - Rob Nahf

- Target version changed from Maintenance Backlog to CCI-2.4.0
